%define	version	2.0.0
%define release	1mdk

Summary:	A note jotter in tree structure
Name:		gjots2
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphical desktop/GNOME
URL:		http://bhepple.freeshell.org/gjots/
# http://bhepple.freeshell.org/gjots/gjots2-%{version}.tgz
Source:		%{name}-%{version}.tar.bz2
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	gnome-python
Requires:	gnome-python-gconf
Requires:	pygtk2.0-libglade >= 2.2.0
Requires:	openssl
Requires:	gnupg
# gjots2html
Requires:	m4
BuildRequires:	ImageMagick

%description
%{name} can be used to organize one's jottings into a tree structure,
adding thoughts and miscellaneous things. Afterwards the notes can be
exported into various formats such as HTML, XML, Postscript, PDF, man etc.
It can also make use of OpenSSL, GPG or ccrypt(1) for encrypting PINs
and passwords.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}

install -d -m 755  \
		%{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/%{name}/pixmaps \
		%{buildroot}%{_datadir}/pixmaps \
		%{buildroot}%{_libdir}/%{name} \
		%{buildroot}%{_bindir}
install -m 755 bin/gjots2 bin/gjots2docbook bin/gjots2html bin/docbook2gjots %{buildroot}%{_bindir}/
install -m 755 lib/*.py %{buildroot}%{_libdir}/%{name}/
install -m 644 gjots.glade2 %{buildroot}%{_datadir}/%{name}
install -m 644 pixmaps/gjots.png %{buildroot}%{_datadir}/%{name}/pixmaps/
install -m 644 pixmaps/gjots.png %{buildroot}%{_datadir}/pixmaps/
install -m 644 gjots2.desktop %{buildroot}%{_datadir}/applications/

# menu entry
mkdir -p %{buildroot}%{_menudir}
cat << _EOF_ > %{buildroot}%{_menudir}/%{name}
?package(%{name}): \
 command="%{_bindir}/%{name}" \
 icon="%{name}.png" \
 title="Gjots" \
 needs="x11" \
 section="Office/Accessories" \
 longtitle="A simple note jotting utility" \
 startup_notify="yes"
_EOF_

# icons
install -d -m 755 %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir}
install -m 644 -D pixmaps/gjots.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 pixmaps/gjots.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 pixmaps/gjots.png %{buildroot}%{_miconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README COPYING gjots2.gjots
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_libdir}/%{name}

%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Thu May 27 2004 Abel Cheung <deaddog@deaddog.org> 2.0.0-1mdk
- First Mandrake package
